package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.Ruta;

public class RenderRutaDesc implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
    	Ruta ruta = (Ruta) o;

        Listcell lc = new Listcell(ruta.getDescruta());
        lc.setParent(lstm);

        
        if (ruta.getOrgaoConcedente() == null) {
            lc = new Listcell("");
        } else {
            lc = new Listcell(ruta.getOrgaoConcedente().getDescOrgao());
        }
        lc.setParent(lstm);
        
        lstm.setAttribute("data", ruta);
    }
	
}
